%define PREFIX /opt/apps/org.tizen.pwlock

Name:       org.tizen.pwlock
Summary:    Password Lock application
Version:    0.3.8
Release:    1
Group:      TBD
License:    TBD
Source0:    %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(tapi)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(accounts-svc)
BuildRequires: pkgconfig(appsvc)
BuildRequires: pkgconfig(sysman)
BuildRequires: pkgconfig(capi-base-common)
BuildRequires: pkgconfig(iniparser)
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: edje-tools
Requires(post): /usr/bin/vconftool

%description
Password lock application.

%prep
%setup -q

%build
LDFLAGS+="-Wl,--rpath=%{PREFIX}/lib -Wl,--as-needed";export LDFLAGS
cmake . -DCMAKE_INSTALL_PREFIX=%{PREFIX}
# cmake does not have a good dependency and make parallel will fail
# make %{?jobs:-j%jobs}
make

%install
%make_install

%post
GOPTION="-g 6514"
vconftool $GOPTION set -t bool db/pwlock/first_boot "1"

%files
%defattr(-,root,root,-)
%attr(-,inhouse,inhouse) %dir /opt/apps/org.tizen.pwlock/data
/opt/apps/org.tizen.pwlock/bin/pwlock
/opt/apps/org.tizen.pwlock/res/locale/*/LC_MESSAGES/pwlock.mo
/opt/share/packages/org.tizen.pwlock.xml
/opt/apps/org.tizen.pwlock/res/edje/*.edj
/opt/apps/org.tizen.pwlock/res/images/*.png

